import request from '@/utils/request'

// 查询软件著作权列表
export function listWorks(query) {
  return request({
    url: '/basicData/xcrSoftWorks/findByPage',
    method: 'get',
    params: query
  })
}

// 查询软件著作权详细
export function getWorks(xhCodeId) {
  return request({
    url: '/basicData/xcrSoftWorks/' + xhCodeId,
    method: 'get'
  })
}

// 新增软件著作权
export function addWorks(data) {
  return request({
    url: '/basicData/xcrSoftWorks',
    method: 'post',
    data: data
  })
}

// 修改软件著作权
export function updateWorks(data) {
  return request({
    url: '/basicData/xcrSoftWorks',
    method: 'put',
    data: data
  })
}

// 删除软件著作权
export function delWorks(xhCodeId) {
  return request({
    url: '/basicData/xcrSoftWorks/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delWorksBatch(ids) {
  return request.post('/basicData/xcrSoftWorks/delete',ids)
}
